Bug 649028 - Update to 0.14.0 or above
Summary: Update to 0.14.0 or above
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-thor
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 646836
TreeView+ depends on / blocked
 
Reported: 2010-11-02 19:22 UTC by Mamoru TASAKA
Modified: 2011-01-23 17:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-23 17:22:38 UTC


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-11-02 19:22:28 UTC
Description of problem:
On review request for rubygem-bundler (bug 646836), after removing
vendorlized thor (at lib/bundler/vendor/), bundler (version 1.0.3) complains:

[tasaka1@localhost ~]$ irb
irb(main):001:0> require "rubygems"
=> true
irb(main):002:0> require "bundler/cli"
NoMethodError: undefined method `long_desc' for Bundler::CLI:Class
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.3/lib/bundler/cli.rb:59
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from (irb):2


lib/bundler/cli.rb inherits Thor class:
-----------------------------------------------------
     2  require 'thor'
     3  require 'thor/actions'
     9  module Bundler
    10    class CLI < Thor
-----------------------------------------------------
and Thor::long_desc seems to be defined in thor.rb with version
0.14.0 and above.

So as bundler needs thor 0.14.0 and above, please update, thank you.

Comment 1 Michal Fojtik 2010-11-23 11:55:14 UTC
ping, any update ?

Comment 2 Mamoru TASAKA 2010-12-13 18:14:39 UTC
Any update for this?

Comment 3 Fedora Admin XMLRPC Client 2011-01-14 07:12:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Mo Morsi 2011-01-23 17:22:38 UTC
rubygem-thor has been updated to 0.14.6 in Fedora Rawhide.


Note You need to log in before you can comment on or make changes to this bug.